Bug 1020452 (CVE-2013-1734, CVE-2013-1742, CVE-2013-1743) - CVE-2013-1734 CVE-2013-1742 CVE-2013-1743 bugzilla: multiple flaws corrected in upstream 4.0.11, 4.2.7, 4.4.1
Summary: CVE-2013-1734 CVE-2013-1742 CVE-2013-1743 bugzilla: multiple flaws corrected ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2013-1734, CVE-2013-1742, CVE-2013-1743
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1020453 1020454
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-17 17:09 UTC by Vincent Danen
Modified: 2019-09-29 13:09 UTC (History)
2 users (show)

Fixed In Version: bugzilla 4.0.11, bugzilla 4.2.7, bugzilla 4.4.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:30:45 UTC


Attachments (Terms of Use)

Description Vincent Danen 2013-10-17 17:09:36 UTC
A number of flaws were reported in Bugzilla [1]:


Class:       Cross-Site Request Forgery
Versions:    2.16rc1 to 4.0.10, 4.1.1 to 4.2.6, 4.3.1 to 4.4
Fixed In:    4.0.11, 4.2.7, 4.4.1
Description: When an attachment is edited, a token is generated to
             validate changes made by the user. Using a crafted URL,
             an attacker could force the token to be recreated,
             allowing him to bypass the token check and abuse a user
             to commit changes on his behalf.
References:  https://bugzilla.mozilla.org/show_bug.cgi?id=913904
CVE Number:  CVE-2013-1734



Class:       Cross-Site Scripting
Versions:    2.17.1 to 4.0.10, 4.1.1 to 4.2.6, 4.3.1 to 4.4
Fixed In:    4.0.11, 4.2.7, 4.4.1
Description: Some parameters passed to editflagtypes.cgi were not
             correctly filtered in the HTML page, which could lead
             to XSS.
References:  https://bugzilla.mozilla.org/show_bug.cgi?id=924802
CVE Number:  CVE-2013-1742



Class:       Cross-Site Scripting
Versions:    4.1.1 to 4.2.6, 4.3.1 to 4.4
Fixed In:    4.2.7, 4.4.1
Description: Due to an incomplete fix for CVE-2012-4189, some
             incorrectly filtered field values in tabular reports
             could lead to XSS.
References:  https://bugzilla.mozilla.org/show_bug.cgi?id=924932
CVE Number:  CVE-2013-1743


All of these affect Bugzilla as shipped in Fedora, all but CVE-2013-1743 affect
Bugzilla as shipped in EPEL.

[1] http://www.bugzilla.org/security/4.0.10/

Comment 1 Vincent Danen 2013-10-17 17:12:03 UTC
Created bugzilla tracking bugs for this issue:

Affects: fedora-all [bug 1020453]
Affects: epel-all [bug 1020454]

Comment 2 Vincent Danen 2013-10-18 16:00:42 UTC
Removing CVE-2013-1733 from this list as it did not affect any version of bugzilla as shipped with Fedora or EPEL (it is 4.4.x-specific, which we do not ship).

Comment 3 Fedora Update System 2013-10-29 03:46:41 UTC
bugzilla-4.2.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2013-10-29 03:47:39 UTC
bugzilla-4.2.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-11-10 07:27:17 UTC
bugzilla-4.2.7-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:30:45 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.